/*! Copyright [Amazon.com](http://amazon.com/), Inc. or its affiliates. All Rights Reserved.
SPDX-License-Identifier: Apache-2.0 */
import { GeneratedTypescriptRuntimeBaseProject, GeneratedTypescriptRuntimeBaseProjectOptions } from "./generated-typescript-runtime-base-project";
import { OpenApiGeneratorIgnoreFile } from "../components/open-api-generator-ignore-file";
import { CodegenOptions, GenerationOptions } from "../components/utils";
/**
 * Configuration for the generated typescript client project
 */
export interface GeneratedTypescriptAsyncRuntimeProjectOptions extends GeneratedTypescriptRuntimeBaseProjectOptions {
}
/**
 * Typescript project containing types generated using OpenAPI Generator CLI
 */
export declare class GeneratedTypescriptAsyncRuntimeProject extends GeneratedTypescriptRuntimeBaseProject {
    /**
     * Patterns that are excluded from code generation
     */
    static openApiIgnorePatterns: string[];
    protected readonly openapiGeneratorIgnore: OpenApiGeneratorIgnoreFile;
    constructor(options: GeneratedTypescriptAsyncRuntimeProjectOptions);
    protected buildCodegenOptions(): CodegenOptions;
    buildGenerateCommandArgs: () => string;
    protected buildOpenApiGeneratorOptions(): GenerationOptions;
}
