/*! Copyright [Amazon.com](http://amazon.com/), Inc. or its affiliates. All Rights Reserved.
SPDX-License-Identifier: Apache-2.0 */
import { GeneratedTypescriptLibraryProject, GeneratedTypescriptLibraryProjectOptions } from "./generated-typescript-library-project";
import { OpenApiGeneratorIgnoreFile } from "../components/open-api-generator-ignore-file";
import { CodegenOptions, GenerationOptions } from "../components/utils";
/**
 * Configuration for the generated typescript websocket client project
 */
export interface TypescriptWebsocketClientLibraryOptions extends GeneratedTypescriptLibraryProjectOptions {
}
/**
 * Typescript project containing a generated websocket client
 */
export declare class TypescriptWebsocketClientLibrary extends GeneratedTypescriptLibraryProject {
    /**
     * Patterns that are excluded from code generation
     */
    static openApiIgnorePatterns: string[];
    protected readonly openapiGeneratorIgnore: OpenApiGeneratorIgnoreFile;
    constructor(options: TypescriptWebsocketClientLibraryOptions);
    protected buildCodegenOptions(): CodegenOptions;
    buildGenerateCommandArgs: () => string;
    buildOpenApiGeneratorOptions(): GenerationOptions;
}
