import { GeneratedTypescriptLibraryProject, GeneratedTypescriptLibraryProjectOptions } from "./generated-typescript-library-project";
import { OpenApiGeneratorIgnoreFile } from "../components/open-api-generator-ignore-file";
import { CodegenOptions, GenerationOptions } from "../components/utils";
/**
 * Configuration for the generated typescript websocket hooks project
 */
export interface TypescriptWebsocketHooksLibraryOptions extends GeneratedTypescriptLibraryProjectOptions {
    readonly clientPackageName: string;
}
/**
 * Typescript project containing generated websocket hooks
 */
export declare class TypescriptWebsocketHooksLibrary extends GeneratedTypescriptLibraryProject {
    /**
     * Patterns that are excluded from code generation
     */
    static openApiIgnorePatterns: string[];
    protected readonly options: TypescriptWebsocketHooksLibraryOptions;
    protected readonly openapiGeneratorIgnore: OpenApiGeneratorIgnoreFile;
    constructor(options: TypescriptWebsocketHooksLibraryOptions);
    protected buildCodegenOptions(): CodegenOptions;
    buildGenerateCommandArgs: () => string;
    buildOpenApiGeneratorOptions(): GenerationOptions;
}
